Grants, vesting & distributions
Create Exercise Form File Upload
Generates a fileKey and returns presigned S3 upload and download URLs for an exercise form.
POSThttps://api.toku.com/tga/create-exercise-form-file-upload
Not available to API keys yet. It will need grants:write.
curl --request POST \
--url 'https://api.toku.com/tga/create-exercise-form-file-upload' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fileName": "string"
}'200 response
{
"uploadUrl": "string",
"downloadUrl": "string",
"fileKey": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
fileNamestringrequiredAllowed: 1 to 255 characters
kindanyrequiredResponse
200Successful response
uploadUrlstringrequireddownloadUrlstringrequiredfileKeystringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits